{% extends 'admin/adminbase.html.twig' %}
{% import "macros/genCard.html.twig" as card %}
{% import "macros/genLoading.html.twig" as loading %}
{% block body %}
    <h5 onclick="notifklik()">Beranda</h5>
    <div class="row justify-content-between">
        <div class="col-6">
{#            <div class="form-group has-search">#}
{#                <span class="fa fa-search form-control-feedback"></span>#}
{#                <input type="text" class="form-control" placeholder="Search">#}
{#            </div>#}
        </div>
        <div class="text-right">
            <div id="reportrange" class="mb-3" style="background: #fff; cursor: pointer; padding: 5px 10px; border: 1px solid #ccc;">
                <i class="fa fa-calendar"></i>&nbsp;
                <span></span> <i class="fa fa-caret-down"></i>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col col-lg-3 col-md-6 mb-4">
            {{ card.card_notif('Total Transaksi') }}
        </div>
        <div class="col col-lg-3 col-md-6 mb-4">
            {{ card.card_notif('Siswa Baru') }}
        </div>
        <div class="col col-lg-3 col-md-6 mb-4">
            {{ card.card_notif('Pengajar Baru') }}
        </div>
        <div class="col col-lg-3 col-md-6 mb-4">
            {{ card.card_notif('Pengajar Terverifikasi') }}
        </div>
        <div class="col col-lg-3 col-md-6 mb-4">
            {{ card.card_notif('Total Presence') }}
        </div>
    </div>
    <br>
{#    {% set data = [#}

{#    ] %}#}

{#    {% set action = [#}
{#        {#}
{#            name: 'Edit',#}
{#            target: '/edit'#}
{#        },#}
{#        {#}
{#            name: 'Delete',#}
{#            target: '/delete'#}
{#        }#}
{#    ] %}#}

{#   <div class=#}
{#        "row">#}
{#       {{ dump(class1) }}#}
{#       <div class="col-6">#}
{#           {{ card.card_detail('Nama Header',action, 'id') }}#}
{#       </div>#}
{#       <div class="col-6">#}
{#           {{ card.card_detail('Nama Header1',action) }}#}
{#       </div>#}
{#   </div>#}
{#    <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#loading">#}
{#        Launch demo modal#}
{#    </button>#}
{#    <a class="btn" onclick="alert()">alert</a>#}
{#{{ loading.modal_loading() }}#}

{% endblock %}

{% block javascripts %}
    <script src="{{ asset('etc/js/setdatepicker.js') }}" type="application/javascript"></script>
    <script>
        function alert() {
            alertify.confirm("alert","This is a confirm dialog.",
                function(){
                    alertify.notify('Bangsat', 'error', 5, function(){  console.log('dismissed'); });
                },
                function(){
                }
                );
                // .set('oncancel', function(closeEvent){ alertify.error('Cancel');} )
                // .set('onok', function(closeEvent){ alertify.success('Ok');} );
        }
        function param(start, end, tipe) {
            datatest = {
                parameter: tipe,
                start: start,
                end: end
            };
            console.log(datatest);
            {{ card.card_notifJS('Total Transaksi','get-total-transaksi','') }}
            {{ card.card_notifJS('Siswa Baru','get-count-new-member-month', '') }}
            {{ card.card_notifJS('Pengajar Baru','get-count-new-tentor', '') }}
            {{ card.card_notifJS('Pengajar Terverifikasi','get-total-pengajar-verified','') }}
            {{ card.card_notifJS('Total Presence','get-presence','') }}
        }
        {{ card.card_notifJS('Total Transaksi','get-total-transaksi','') }}
        {{ card.card_notifJS('Siswa Baru','get-count-new-member-month', '') }}
        {{ card.card_notifJS('Pengajar Baru','get-count-new-tentor', '') }}
        {{ card.card_notifJS('Pengajar Terverifikasi','get-total-pengajar-verified','') }}
        {{ card.card_notifJS('Total Presence','get-presence','') }}
    </script>




{% endblock %}